## sslscan 1.7.1

=== Makefile ===
SRCS = sslscan.c
BINPATH = /usr/bin/
MANPATH = /usr/share/man/

all:
	gcc -lssl -o sslscan $(SRCS) $(LDFLAGS) $(CFLAGS)

install:
	cp sslscan $(BINPATH)
	cp sslscan.1 $(MANPATH)man1

uninstall:
	rm -f $(BINPATH)sslscan
	rm -f $(MANPATH)man1/sslscan.1

clean:
	rm -f sslscan

## sslscan 1.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 MANPATH = /usr/share/man/
 
 all:
-	gcc -lssl -o sslscan $(SRCS) $(LDFLAGS) $(CFLAGS)
+	gcc -g -Wall -lssl -o sslscan $(SRCS) $(LDFLAGS) $(CFLAGS)
 
 install:
 	cp sslscan $(BINPATH)

## sslscan 1.11.0

=== Makefile ===
# set gcc as default if CC is not set
ifndef CC
  CC=gcc
endif

GIT_VERSION = $(shell git describe --tags --always --dirty=-wip)

# Ugly hack to get version if git isn't installed
ifeq ($(GIT_VERSION),)
  GIT_VERSION = $(shell grep -E -o -m 1 "[0-9]+\.[0-9]+\.[0-9]+" Changelog)
endif

SRCS      = sslscan.c
BINPATH   = $(DESTDIR)/usr/bin/
MANPATH   = $(DESTDIR)/usr/share/man/

WARNINGS  = -Wall -Wformat=2
DEFINES   = -DVERSION=\"$(GIT_VERSION)\"

# for dynamic linking
LIBS      = -lssl -lcrypto

# for static linking
ifeq ($(STATIC_BUILD), TRUE)
PWD          = $(shell pwd)/openssl
LDFLAGS      += -L${PWD}/
CFLAGS       += -I${PWD}/include/ -I${PWD}/
LIBS         = -lssl -lcrypto -ldl
GIT_VERSION  := $(GIT_VERSION)-static
else
# for dynamic linking
LDFLAGS   += -L/usr/local/ssl/lib/ -L/usr/local/opt/openssl/lib
CFLAGS    += -I/usr/local/ssl/include/ -I/usr/local/ssl/include/openssl/ -I/usr/local/opt/openssl/include
endif

.PHONY: sslscan clean

all: sslscan

sslscan: $(SRCS)
	$(CC) -o $@ ${WARNINGS} ${LDFLAGS} ${CFLAGS} ${CPPFLAGS} ${DEFINES} ${SRCS} ${LIBS}

install:
	mkdir -p $(BINPATH)
	mkdir -p $(MANPATH)man1/
	cp sslscan $(BINPATH)
	cp sslscan.1 $(MANPATH)man1/

uninstall:
	rm -f $(BINPATH)sslscan
	rm -f $(MANPATH)man1/sslscan.1

openssl/Makefile:
	[ -d openssl -a -d openssl/.git ] && true || git clone https://github.com/openssl/openssl ./openssl && cd ./openssl && git checkout OpenSSL_1_0_2-stable

openssl/libcrypto.a: openssl/Makefile
	cd ./openssl; ./config no-shares
	$(MAKE) -C openssl depend
	$(MAKE) -C openssl all
	$(MAKE) -C openssl test

static: openssl/libcrypto.a
	$(MAKE) sslscan STATIC_BUILD=TRUE

clean:
	if [ -d openssl -a -d openssl/.git ]; then ( cd ./openssl; git clean -fx ); fi;
	rm -f sslscan

=== debian/changelog ===
sslscan (1.11.0-rbsec) unstable; urgency=medium

  * New Upstream release (Closes: #804616)
  * debian/control
    - Updated Standard-Version to 3.9.7.0
  * Updated 001-makefile.diff patch

 -- Marvin Stark <marv@der-marv.de>  Fri, 11 Mar 2016 08:00:00 +0100

sslscan (1.10.5~git2365584ac4-1) experimental; urgency=medium

  * New upstream release (Closes: #765692)
    - Includes IPv6 support (Closes: #720391)
  * debian/control:
    - Updated Build-Dependencies for debhelper
    - Updated Standard-Version
    - Updated Homepage entry (Closes: #687662)
    - Removed Build-Dependency on quilt
    - Added git to Build-Dependencies
  * debian/compat:
    - Changed compat level to v9
  * debian/rules:
    - Removed patch and unpatch targets as they are not needed anymore
  * Updated debian/copyright to copyright-format 1.0
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed README.source
  * Removed 03-sslv2.diff patch
  * Removed 02-sslscan-spelling-mistake.diff patch

 -- Marvin Stark <marv@der-marv.de>  Mon, 03 Aug 2015 13:01:54 +0000

sslscan (1.8.2-2) unstable; urgency=low

  * debian/control:
    - Updated Homepage (Closes: #633456)
    - Updated Standards-Version to 3.9.2
  * Fixed FTBFS with ld --as-needed (Closes: #639013)
  * Fixed FTBFS undefined reference to SSLv2_client_method (Closes: #622019)
  * debian/rules:
    - Added build-arch build-indep targets
    - Substituded dh_clean with dh_prep in install target

 -- Marvin Stark <marv@der-marv.de>  Thu, 22 Dec 2011 15:29:19 +0000

sslscan (1.8.2-1) unstable; urgency=low

  * New Upstream release 
  * debian/control:
    - updated Standards-Version to 3.8.3
  * Fixed FTBFS with binutils-gold (Closes: #556372) 
  * Fixed spelling errors in sslscan.c
  * Added patch descriptions

 -- Marvin Stark <marv@der-marv.de>  Mon, 25 Jan 2010 19:28:33 +0100

sslscan (1.8.0-1) unstable; urgency=low

  * New Upstream Version
    - Added SSL implementation workaround option
    - Added HTTP connection testing
    - Fixed Certification validation XML output
  * debian/control:
    - Updated Standards-Version to 3.8.1

 -- Marvin Stark <marv@der-marv.de>  Sun, 24 May 2009 11:47:24 +0200

sslscan (1.7.1-1) unstable; urgency=low

  * New Upstream Version
  * Added debian/watch 

 -- Marvin Stark <marv@der-marv.de>  Fri, 11 Jul 2008 10:51:30 +0200

sslscan (1.7-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    - Standards-Version changed to 3.8.0
  * debian/copyright:
    - Updated copyright years

 -- Marvin Stark <marv@der-marv.de>  Fri, 11 Jul 2008 10:32:01 +0200

sslscan (1.6-1) unstable; urgency=low

  * New upstream release
    Improved certificate checking
    Added Makefile
    Added manpage
  * Patched Makefile
  * Added quilt as Build-Dependency

 -- Marvin Stark <marv@der-marv.de>  Tue, 22 Jan 2008 07:49:35 +0000

sslscan (1.5-1) unstable; urgency=low

  * Initial release (Closes: #457217)

 -- Marvin Stark <marv@der-marv.de>  Thu, 20 Dec 2007 13:36:43 +0000

=== debian/control ===
Source: sslscan
Section: utils
Priority: extra
Maintainer: Marvin Stark <marv@der-marv.de>
Homepage: https://github.com/rbsec/sslscan
Build-Depends: debhelper (>= 9), libssl-dev, git
Standards-Version: 3.9.7.0

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast SSL scanner
 SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
 that are supported. SSLScan is designed to be easy, lean and fast. The output
 includes preferred ciphers of the SSL service, the certificate and is in text
 and XML formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-arch: build
build-indep: build

build-stamp: configure-stamp
	dh_testdir

	# Compile sslscan
	$(MAKE) all

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# clean up
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# install sslscan
	install -d $(CURDIR)/debian/sslscan/usr/bin/
	install -d $(CURDIR)/debian/sslscan/usr/share/man/man1/
	$(MAKE) BINPATH="$(CURDIR)/debian/sslscan/usr/bin/" MANPATH="$(CURDIR)/debian/sslscan/usr/share/man/" install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://sf.net/sslscan/sslscan-([\d\.]*)\.tgz debian uupdate

## sslscan 1.11.5

=== Makefile ===
# set gcc as default if CC is not set
ifndef CC
  CC=gcc
endif

GIT_VERSION = $(shell git describe --tags --always --dirty=-wip)

# Ugly hack to get version if git isn't installed
ifeq ($(GIT_VERSION),)
  GIT_VERSION = $(shell grep -E -o -m 1 "[0-9]+\.[0-9]+\.[0-9]+" Changelog)
endif

# Detect OS
OS := $(shell uname)

SRCS      = sslscan.c
PREFIX    = /usr
BINDIR    = $(PREFIX)/bin
MANDIR    = $(PREFIX)/share/man
MAN1DIR   = $(MANDIR)/man1

WARNINGS  = -Wall -Wformat=2
DEFINES   = -DVERSION=\"$(GIT_VERSION)\"

# for dynamic linking
LIBS      = -lssl -lcrypto
ifneq ($(OS), FreeBSD)
	LIBS += -ldl
endif

# for static linking
ifeq ($(STATIC_BUILD), TRUE)
PWD          = $(shell pwd)/openssl
LDFLAGS      += -L${PWD}/
CFLAGS       += -I${PWD}/include/ -I${PWD}/
LIBS         = -lssl -lcrypto -lz
ifneq ($(OS), FreeBSD)
	LIBS += -ldl
endif
GIT_VERSION  := $(GIT_VERSION)-static
else
# for dynamic linking
LDFLAGS   += -L/usr/local/lib -L/usr/local/ssl/lib -L/usr/local/opt/openssl/lib -L/opt/local/lib
CFLAGS    += -I/usr/local/include -I/usr/local/ssl/include -I/usr/local/ssl/include/openssl -I/usr/local/opt/openssl/include -I/opt/local/include -I/opt/local/include/openssl
endif

.PHONY: all sslscan clean install uninstall static opensslpull

all: sslscan
	@echo
	@echo "==========="
	@echo "| WARNING |"
	@echo "==========="
	@echo
	@echo "Building against system OpenSSL. Legacy protocol checks may not be possible."
	@echo "It is recommended that you statically build sslscan with  \`make static\`."
	@echo

sslscan: $(SRCS)
	$(CC) -o $@ ${WARNINGS} ${LDFLAGS} ${CFLAGS} ${CPPFLAGS} ${DEFINES} ${SRCS} ${LIBS}

install:
	@if [ ! -f sslscan ] ; then \
		echo "\n=========\n| ERROR |\n========="; \
		echo "Before installing you need to build sslscan with either \`make\` or \`make static\`\n"; \
		exit 1; \
	fi
ifeq ($(OS), Darwin)
	install sslscan $(DESTDIR)$(BINDIR)/sslscan;
	install sslscan.1 $(DESTDIR)$(MAN1DIR)/sslscan.1;
else
	install -D sslscan $(DESTDIR)$(BINDIR)/sslscan;
	install -D sslscan.1 $(DESTDIR)$(MAN1DIR)/sslscan.1;
endif

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/sslscan
	rm -f $(DESTDIR)$(MAN1DIR)/sslscan.1

.openssl.is.fresh: opensslpull
	true
opensslpull:
	if [ -d openssl -a -d openssl/.git ]; then \
		cd ./openssl && git checkout OpenSSL_1_0_2-stable && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
	else \
		git clone --depth 1 -b OpenSSL_1_0_2-stable https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
	fi
	sed -i.bak 's/# if 0/# if 1/g' openssl/ssl/s2_lib.c
	rm openssl/ssl/s2_lib.c.bak

# Need to build OpenSSL differently on OSX
ifeq ($(OS), Darwin)
openssl/Makefile: .openssl.is.fresh
	cd ./openssl; ./Configure enable-ssl2 enable-weak-ssl-ciphers zlib darwin64-x86_64-cc
# Any other *NIX platform
else
openssl/Makefile: .openssl.is.fresh
	cd ./openssl; ./config no-shares enable-weak-ssl-ciphers enable-ssl2 zlib
endif

openssl/libcrypto.a: openssl/Makefile
	$(MAKE) -C openssl depend
	$(MAKE) -C openssl all
	$(MAKE) -C openssl test

static: openssl/libcrypto.a
	$(MAKE) sslscan STATIC_BUILD=TRUE

clean:
	if [ -d openssl -a -d openssl/.git ]; then ( cd ./openssl; git clean -fx ); fi;
	rm -f sslscan
	rm -f .openssl.is.fresh

## sslscan 1.11.5-rbsec

=== debian/changelog ===
sslscan (1.11.5-rbsec-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against openssl 1.0. (Closes: #828556)

 -- Christoph Berg <myon@debian.org>  Thu, 05 Jan 2017 15:02:51 +0100

sslscan (1.11.5-rbsec-1) unstable; urgency=medium

  * New Upstream release (Closes: #804616)
  * debian/control
    - Updated Standard-Version to 3.9.7.0
  * Updated debian/watch
  * Updated debian/rules to 3.0 (quilt) format
  * Updated debian/copyright
  * Upload to unstable
  * Removed useless patches
  * Removed git from Build-Depends

 -- Marvin Stark <marv@der-marv.de>  Fri, 01 Apr 2016 10:04:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marvin Stark <marv@der-marv.de>
 Homepage: https://github.com/rbsec/sslscan
-Build-Depends: debhelper (>= 9), libssl-dev, git
+Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (<< 1.1.0~)
 Standards-Version: 3.9.7.0
 
 Package: sslscan

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_install:
	install -d $(CURDIR)/debian/sslscan/usr/bin/
	install -d $(CURDIR)/debian/sslscan/usr/share/man/man1/
	dh_auto_install -- BINPATH="$(CURDIR)/debian/sslscan/usr/bin/" MANPATH="$(CURDIR)/debian/sslscan/usr/share/man/"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/rbsec/sslscan/tags .*/v?(\d\S*)\.tar\.gz

## sslscan 2.0.0

=== debian/changelog ===
sslscan (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #952385)
  * Update debian/watch.
  * Remove debian/compat.
  * debian/rules
    + Remove override_dh_auto_install.
    + Add override_dh_auto_build.
    + Remove innecesary "--parallel" from "dh $@".
  * debian/control
    + Update Standard-Version to 4.5.0.
    + Set myself as Maintainer.
    + Debhelper bump level to 13.
    + Update priority to optional.
    + Mark Rules-Requires-Root: no as we don't need root for building.
    + Remove libssl1.0-dev from Build-Depends.
    + Update Description.
  * debian/copyright
    + Add myself in debian holders.
    + Update Upstream-Contact.
    + Update License to GPL-3.0+.
    + Update description license.
    + Update Url Format.
  * Add debian/upstream/metadata file
    + Add Repository field.
    + Add Repository-Browse field.
    + Add Bug-Database field.
    + Add Bug-Submit field.
  * debian/patches
    + Add 01_spelling_sslscanc.diff patch.
  * Remove some trailing whitespace characters.

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Tue, 28 Jul 2020 22:36:00 -0500

=== debian/control ===
Source: sslscan
Section: utils
Priority: optional
Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
Homepage: https://github.com/rbsec/sslscan
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tests SSL/TLS enabled services to discover supported cipher suites
 This tool allow queries SSL/TLS services (such as HTTPS) and reports the
 protocol versions, cipher suites, key exchanges, signature algorithms, and
 certificates in use.  This helps the user understand which  parameters are
 weak from a security standpoint.
 .
 sslscan can also output results into an XML file for easy consumption by
 external programs.

## sslscan 2.0.7

=== Makefile ===
# set gcc as default if CC is not set

GIT_VERSION = $(shell git describe --tags --always --dirty=-wip)

# Ugly hack to get version if git isn't installed
ifeq ($(GIT_VERSION),)
  GIT_VERSION = $(shell grep -E -o -m 1 "[0-9]+\.[0-9]+\.[0-9]+" Changelog)
endif

# Detect OS
OS := $(shell uname)

# Handle different version of Make
ifeq ($(OS), SunOS)
	ifndef $(CC)
		CC=gcc
	endif
	ifndef $(PREFIX)
		PREFIX = /usr
	endif
else
	CC ?= gcc
	PREFIX ?= /usr
endif

SRCS      = sslscan.c
BINDIR    = $(PREFIX)/bin
MANDIR    = $(PREFIX)/share/man
MAN1DIR   = $(MANDIR)/man1

WARNINGS  = -Wall -Wformat=2 -Wformat-security -Wno-deprecated-declarations
DEFINES   = -DVERSION=\"$(GIT_VERSION)\"

# for dynamic linking
LIBS      = -lssl -lcrypto
ifneq ($(OS), FreeBSD)
	LIBS += -ldl
endif
ifeq ($(OS), SunOS)
	CFLAGS += -m64
	LIBS   += -lsocket -lnsl
endif

# Enable checks for buffer overflows, add stack protectors, generate position
# independent code, mark the relocation table read-only, and mark the global
# offset table read-only.
CFLAGS  += -D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIE

# Don't enable some hardening flags on OS X because it uses an old version of Clang
ifneq ($(OS), Darwin)
ifneq ($(OS), SunOS)
	LDFLAGS += -pie -z relro -z now
endif
endif

# Force C11 mode to fix the build on very old version of GCC
CFLAGS += -std=gnu11

# for static linking
ifeq ($(STATIC_BUILD), TRUE)
PWD          = $(shell pwd)/openssl
LDFLAGS      += -L${PWD}/
CFLAGS       += -I${PWD}/include/ -I${PWD}/
LIBS         = -lssl -lcrypto -lz -lpthread
ifneq ($(OS), FreeBSD)
	LIBS += -ldl
endif
ifeq ($(OS), SunOS)
	LIBS += -lsocket -lnsl
endif
GIT_VERSION  := $(GIT_VERSION)-static
else
# for dynamic linking
LDFLAGS   += -L/usr/local/lib -L/usr/local/ssl/lib -L/usr/local/opt/openssl/lib -L/opt/local/lib
CFLAGS    += -I/usr/local/include -I/usr/local/ssl/include -I/usr/local/ssl/include/openssl -I/usr/local/opt/openssl/include -I/opt/local/include -I/opt/local/include/openssl
endif

# Find the number of processors on the system (used in -j option in building OpenSSL).
# Uses /usr/bin/nproc if available, otherwise defaults to 1.
NUM_PROCS = 1
ifneq (,$(wildcard /usr/bin/nproc))
	NUM_PROCS = `/usr/bin/nproc --all`
endif


.PHONY: all sslscan clean install uninstall static opensslpull

all: sslscan
	@echo
	@echo "==========="
	@echo "| WARNING |"
	@echo "==========="
	@echo
	@echo "Building against system OpenSSL. Compression and other checks may not be possible."
	@echo "It is recommended that you statically build sslscan with  \`make static\`."
	@echo

sslscan: $(SRCS)
	$(CC) -o $@ ${WARNINGS} ${LDFLAGS} ${CFLAGS} ${CPPFLAGS} ${DEFINES} ${SRCS} ${LIBS}

install:
	@if [ ! -f sslscan ] ; then \
		echo "\n=========\n| ERROR |\n========="; \
		echo "Before installing you need to build sslscan with either \`make\` or \`make static\`\n"; \
		exit 1; \
	fi
ifeq ($(OS), Darwin)
	install -d $(DESTDIR)$(BINDIR)/;
	install sslscan $(DESTDIR)$(BINDIR)/sslscan;
	install -d $(DESTDIR)$(MAN1DIR)/;
	install sslscan.1 $(DESTDIR)$(MAN1DIR)/sslscan.1;
else
	install -D sslscan $(DESTDIR)$(BINDIR)/sslscan;
	install -D sslscan.1 $(DESTDIR)$(MAN1DIR)/sslscan.1;
endif

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/sslscan
	rm -f $(DESTDIR)$(MAN1DIR)/sslscan.1

.openssl.is.fresh: opensslpull
	true
opensslpull:
	if [ -d openssl -a -d openssl/.git ]; then \
		cd ./openssl && git checkout OpenSSL_1_1_1-stable && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
	else \
		git clone --depth 1 -b OpenSSL_1_1_1-stable https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
	fi

# Need to build OpenSSL differently on OSX
ifeq ($(OS), Darwin)
openssl/Makefile: .openssl.is.fresh
	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib darwin64-x86_64-cc
# Any other *NIX platform
else
openssl/Makefile: .openssl.is.fresh
	cd ./openssl; ./config -v -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC no-shared enable-weak-ssl-ciphers zlib
endif

openssl/libcrypto.a: openssl/Makefile
	$(MAKE) -j $(NUM_PROCS) -C openssl depend
	$(MAKE) -j $(NUM_PROCS) -C openssl all
#	$(MAKE) -j $(NUM_PROCS) -C openssl test # Disabled because this takes 45+ minutes for OpenSSL v1.1.1.

static: openssl/libcrypto.a
	$(MAKE) -j $(NUM_PROCS) sslscan STATIC_BUILD=TRUE

test:	static
	./docker_test.sh

clean:
	if [ -d openssl ]; then ( rm -rf openssl ); fi;
	rm -f sslscan
	rm -f .openssl.is.fresh

=== debian/changelog ===
sslscan (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update Standard-Version to 4.5.1.

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Fri, 12 Feb 2021 00:26:22 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
 Homepage: https://github.com/rbsec/sslscan
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: sslscan

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sslscan-$1.tar.gz%" \
   https://github.com/rbsec/sslscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sslscan 2.1.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 # Detect OS
 OS := $(shell uname)
+ARCH := $(shell uname -m)
 
 # Handle different version of Make
 ifeq ($(OS), SunOS)
@@ -61,7 +62,11 @@
 PWD          = $(shell pwd)/openssl
 LDFLAGS      += -L${PWD}/
 CFLAGS       += -I${PWD}/include/ -I${PWD}/
+ifeq ($(OS), Darwin)
+LIBS	     = ./openssl/libssl.a ./openssl/libcrypto.a -lz -lpthread
+else
 LIBS         = -lssl -lcrypto -lz -lpthread
+endif
 ifneq ($(OS), FreeBSD)
 	LIBS += -ldl
 endif
@@ -81,7 +86,9 @@
 ifneq (,$(wildcard /usr/bin/nproc))
 	NUM_PROCS = `/usr/bin/nproc --all`
 endif
-
+ifeq ($(OS), Darwin)
+	NUM_PROCS = `sysctl -n hw.ncpu`
+endif
 
 .PHONY: all sslscan clean install uninstall static opensslpull
 
@@ -122,15 +129,20 @@
 	true
 opensslpull:
 	if [ -d openssl -a -d openssl/.git ]; then \
-		cd ./openssl && git checkout OpenSSL_1_1_1-stable && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
+		cd ./openssl && git checkout `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort --version-sort | tail -n 1` && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
 	else \
-		git clone --depth 1 -b OpenSSL_1_1_1-stable https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
+	git clone --depth 1 -b `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort -V | tail -n 1` https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
 	fi
 
 # Need to build OpenSSL differently on OSX
 ifeq ($(OS), Darwin)
+ifeq ($(ARCH), arm64)
+OSSL_TARGET=darwin64-arm64-cc
+else
+OSSL_TARGET=darwin64-x86_64-cc
+endif
 openssl/Makefile: .openssl.is.fresh
-	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib darwin64-x86_64-cc
+	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib $(OSSL_TARGET)
 # Any other *NIX platform
 else
 openssl/Makefile: .openssl.is.fresh
@@ -139,11 +151,14 @@
 
 openssl/libcrypto.a: openssl/Makefile
 	$(MAKE) -j $(NUM_PROCS) -C openssl depend
-	$(MAKE) -j $(NUM_PROCS) -C openssl all
+	$(MAKE) -j $(NUM_PROCS) -C openssl build_libs
 #	$(MAKE) -j $(NUM_PROCS) -C openssl test # Disabled because this takes 45+ minutes for OpenSSL v1.1.1.
 
 static: openssl/libcrypto.a
 	$(MAKE) -j $(NUM_PROCS) sslscan STATIC_BUILD=TRUE
+
+docker:
+	docker build -t sslscan:sslscan .
 
 test:	static
 	./docker_test.sh

=== debian/changelog ===
sslscan (2.1.2-0.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:04:42 +1100

sslscan (2.1.2-0.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:26:50 +0000

sslscan (2.1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #1054402

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 15 Nov 2023 16:16:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sslscan
 Section: utils
 Priority: optional
-Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
 Homepage: https://github.com/rbsec/sslscan
 Build-Depends: debhelper-compat (= 13), libssl-dev
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
override_dh_auto_build:
	dh_auto_build -- sslscan
#Don't run test because it use internet during build time
override_dh_auto_test:

## sslscan 2.1.3

=== debian/changelog ===
sslscan (2.1.3-1parrot2) lory; urgency=medium

  * Do not run the test by dh_override

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:44:21 +0700

sslscan (2.1.3-1parrot1) stable; urgency=medium

  * Add new debian ci
  * New upstream version 2.1.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:34:57 +0700

sslscan (2.1.2-1parrot1) parrot-updates; urgency=medium

  * New upstream version 2.1.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 16 Nov 2023 22:45:37 +0700

sslscan (2.0.16-0parrot2) parrot-updates; urgency=medium

  * Add ci build

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 07:01:21 +0700

sslscan (2.0.16-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2.0.16

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 03 Sep 2023 07:28:32 +0700

sslscan (2.0.15-0parrot2) parrot-updates; urgency=medium

  * Remove old patch

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:27:48 +0700

sslscan (2.0.15-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2.0.15

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:23:30 +0700

sslscan (2.0.10-0parrot1) lts-updates; urgency=medium

  * Rebuild for Parrot 5.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 13 Oct 2021 19:03:09 +0200

sslscan (2.0.10-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.10
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 May 2021 14:10:48 +0200

sslscan (2.0.9-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.9

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Mar 2021 08:57:17 +0100

sslscan (2.0.8-0kali1) kali-dev; urgency=medium

  * debian/kali-ci.yml: disable builds
  * New upstream version 2.0.8

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 22 Feb 2021 11:40:00 +0100

sslscan (2.0.7-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.0.7

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 Feb 2021 09:57:07 +0100

sslscan (2.0.6-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.6

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Nov 2020 09:07:18 +0100

sslscan (2.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.5

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Oct 2020 10:01:15 +0100

sslscan (2.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Oct 2020 14:12:09 +0200

sslscan (2.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Oct 2020 15:35:12 +0200

sslscan (2.0.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Oct 2020 11:16:46 +0200

sslscan (2.0.1-0kali2) kali-dev; urgency=medium

  * Add missing Vcs-Git headers

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Sep 2020 13:51:17 +0200

sslscan (2.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Sep 2020 13:51:15 +0200

sslscan (2.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jul 2020 11:54:07 +0200

sslscan (2.0.0~beta6-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta6

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Jul 2020 10:03:31 +0200

sslscan (2.0.0~beta4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Jun 2020 10:07:42 +0200

sslscan (2.0.0~beta2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 May 2020 16:07:52 +0200

sslscan (2.0.0~beta1-0kali1) kali-dev; urgency=medium

  * Update debian/watch for beta versions
  * New upstream version 2.0.0~beta1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Mar 2020 11:21:26 +0100

sslscan (2.0.0~alpha2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~alpha2
  * Reintroduce static build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Mar 2020 16:28:06 +0100

sslscan (2.0.0~alpha1-0kali1) kali-experimental; urgency=medium

  [ g0tmi1k ]
  * Fix git URL

  [ Raphaël Hertzog ]
  * Revert "Fix git URL"
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 2.0.0~alpha1
  * Remove useless patches
  * Fix debian/watch
  * Disable tests: it requires docker
  * Bump Standards-Version to 4.5.0
  * Add a patch to fix spelling error
  * Drop static build

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2020 16:51:00 +0100

sslscan (1.11.13-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Mar 2019 16:08:37 +0100

sslscan (1.11.12-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 19 Oct 2018 12:02:35 +0200

sslscan (1.11.11-rbsec-0kali2) kali-dev; urgency=medium

  * Add a patch to openssl to fix issue on armhf (see
    https://github.com/openssl/openssl/pull/4673)

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Feb 2018 14:45:36 +0100

sslscan (1.11.11-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Keep static build (for SSLv2 support)

 -- Sophie Brun <sophie@freexian.com>  Tue, 30 Jan 2018 16:18:10 +0100

sslscan (1.11.10-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Keep static build (for SSLv2 support)



=== debian/control ===
Source: sslscan
Section: utils
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Parrot Dev Team <team@parrotsec.org>
Homepage: https://github.com/rbsec/sslscan
Build-Depends: debhelper-compat (= 12), libssl-dev, zlib1g-dev,
 git, ca-certificates
Standards-Version: 4.5.1

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast SSL scanner
 SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
 that are supported. SSLScan is designed to be easy, lean and fast. The output
 includes preferred ciphers of the SSL service, the certificate and is in text
 and XML formats.

=== debian/rules ===
#!/usr/bin/make -f
# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) static

override_dh_auto_install:
	install -d $(CURDIR)/debian/sslscan/usr/bin/
	install -d $(CURDIR)/debian/sslscan/usr/share/man/man1/
	STATIC_BUILD=TRUE dh_auto_install -- BINPATH="$(CURDIR)/debian/sslscan/usr/bin/" MANPATH="$(CURDIR)/debian/sslscan/usr/share/man/"
override_dh_auto_test:

=== debian/watch ===
version=4
opts="uversionmangle=s/-alpha/~alpha/; s/-beta/~beta/, \
     filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sslscan-$1\.tar\.gz/" \
  https://github.com/rbsec/sslscan/tags .*/v?(\d\S*)\.tar\.gz

## sslscan 2.1.4

=== debian/changelog ===
sslscan (2.1.4-1) unstable; urgency=medium

  [ Jhon Alejandro Marín Rodríguez ]
  * New upstream version 2.1.4

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Wed, 19 Jun 2024 21:51:04 -0500

sslscan (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Update debian/watch file.
  * Created to perform a trivial smoke test.
  * Update Standards-Version to 4.7.0.
  * Add VCS-* fields with the repo URL in Salsa.d.o.
  * Extend debian copyright holder years.
  * Add missing copyright entries

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Thu, 23 May 2024 06:19:26 +0000

## sslscan 2.1.5

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,11 @@
 # for dynamic linking
 LIBS      = -lssl -lcrypto
 ifneq ($(OS), FreeBSD)
+ifneq ($(findstring MINGW64,$(OS)),MINGW64)
 	LIBS += -ldl
+else
+	LIBS += -lwsock32 -lWs2_32
+endif
 endif
 ifeq ($(OS), SunOS)
 	CFLAGS += -m64
@@ -50,7 +54,13 @@
 # Don't enable some hardening flags on OS X because it uses an old version of Clang
 ifneq ($(OS), Darwin)
 ifneq ($(OS), SunOS)
+ifneq ($(findstring CYGWIN,$(OS)),CYGWIN)
+ifneq ($(findstring MINGW64,$(OS)),MINGW64)
 	LDFLAGS += -pie -z relro -z now
+else
+	LDFLAGS += -pie
+endif
+endif
 endif
 endif
 
@@ -68,7 +78,9 @@
 LIBS         = -lssl -lcrypto -lz -lpthread
 endif
 ifneq ($(OS), FreeBSD)
+ifneq ($(findstring CYGWIN,$(OS)),CYGWIN)
 	LIBS += -ldl
+endif
 endif
 ifeq ($(OS), SunOS)
 	LIBS += -lsocket -lnsl
@@ -90,7 +102,7 @@
 	NUM_PROCS = `sysctl -n hw.ncpu`
 endif
 
-.PHONY: all sslscan clean install uninstall static opensslpull
+.PHONY: all sslscan clean realclean install uninstall static opensslpull
 
 all: sslscan
 	@echo
@@ -129,25 +141,13 @@
 	true
 opensslpull:
 	if [ -d openssl -a -d openssl/.git ]; then \
-		cd ./openssl && git checkout `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort --version-sort | tail -n 1` && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
+		cd ./openssl && git checkout `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort --version-sort | tail -n 1` && git pull | grep -q "Already up to date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
 	else \
 	git clone --depth 1 -b `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort -V | tail -n 1` https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
 	fi
 
-# Need to build OpenSSL differently on OSX
-ifeq ($(OS), Darwin)
-ifeq ($(ARCH), arm64)
-OSSL_TARGET=darwin64-arm64-cc
-else
-OSSL_TARGET=darwin64-x86_64-cc
-endif
 openssl/Makefile: .openssl.is.fresh
-	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib $(OSSL_TARGET)
-# Any other *NIX platform
-else
-openssl/Makefile: .openssl.is.fresh
-	cd ./openssl; ./config -v -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC no-shared enable-weak-ssl-ciphers zlib
-endif
+	cd ./openssl; ./Configure -v -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC no-shared enable-weak-ssl-ciphers zlib
 
 openssl/libcrypto.a: openssl/Makefile
 	$(MAKE) -j $(NUM_PROCS) -C openssl depend
@@ -164,6 +164,8 @@
 	./docker_test.sh
 
 clean:
+	rm -f sslscan
+
+realclean: clean
 	if [ -d openssl ]; then ( rm -rf openssl ); fi;
-	rm -f sslscan
 	rm -f .openssl.is.fresh

=== debian/changelog ===
sslscan (2.1.5-1) unstable; urgency=medium

  [ Jhon Alejandro Marín Rodríguez ]
  * New upstream version 2.1.5

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Fri, 18 Oct 2024 20:38:57 -0500

=== debian/control ===
Source: sslscan
Section: utils
Priority: optional
Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
Homepage: https://github.com/rbsec/sslscan
Vcs-Git: https://salsa.debian.org/debian/sslscan.git
Vcs-Browser: https://salsa.debian.org/debian/sslscan
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tests SSL/TLS enabled services to discover supported cipher suites
 This tool allow queries SSL/TLS services (such as HTTPS) and reports the
 protocol versions, cipher suites, key exchanges, signature algorithms, and
 certificates in use.  This helps the user understand which  parameters are
 weak from a security standpoint.
 .
 sslscan can also output results into an XML file for easy consumption by
 external programs.

=== debian/tests/control ===
Test-Command: sslscan -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sslscan-$1.tar.gz%" \
   https://github.com/rbsec/sslscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
